Bug 1164614 - [abrt] libreoffice-core: SvxPathControl::setAllocation(Size const&)(): soffice.bin killed by SIGSEGV
Summary: [abrt] libreoffice-core: SvxPathControl::setAllocation(Size const&)(): soffic...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:c27d89de0db1c36e74d31433d4f...
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-11-17 01:50 UTC by justin.kusz
Modified: 2014-12-20 08:43 UTC (History)
7 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-12-20 08:43:19 UTC


Attachments (Terms of Use)
File: backtrace (43.35 KB, text/plain)
2014-11-17 01:50 UTC, justin.kusz
no flags Details
File: cgroup (180 bytes, text/plain)
2014-11-17 01:50 UTC, justin.kusz
no flags Details
File: core_backtrace (24.89 KB, text/plain)
2014-11-17 01:50 UTC, justin.kusz
no flags Details
File: dso_list (20.35 KB, text/plain)
2014-11-17 01:50 UTC, justin.kusz
no flags Details
File: environ (1.54 KB, text/plain)
2014-11-17 01:50 UTC, justin.kusz
no flags Details
File: exploitable (82 bytes, text/plain)
2014-11-17 01:50 UTC, justin.kusz
no flags Details
File: limits (1.29 KB, text/plain)
2014-11-17 01:50 UTC, justin.kusz
no flags Details
File: maps (97.84 KB, text/plain)
2014-11-17 01:50 UTC, justin.kusz
no flags Details
File: open_fds (524 bytes, text/plain)
2014-11-17 01:50 UTC, justin.kusz
no flags Details
File: proc_pid_status (943 bytes, text/plain)
2014-11-17 01:50 UTC, justin.kusz
no flags Details
File: var_log_messages (392 bytes, text/plain)
2014-11-17 01:50 UTC, justin.kusz
no flags Details

Description justin.kusz 2014-11-17 01:50:06 UTC
Description of problem:
open LibreOffic Calc
click Tools > XML Filter Settings...

Version-Release number of selected component:
libreoffice-core-4.2.6.3-8.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --calc --splash-pipe=5
crash_function: SvxPathControl::setAllocation(Size const&)
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.16.4-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 SvxPathControl::setAllocation(Size const&) at /usr/lib64/libreoffice/program/../program/libxsltdlglo.so
 #1 VclContainer::setLayoutPosSize(Window&, Point const&, Size const&) at /usr/lib64/libreoffice/program/libvcllo.so
 #2 VclContainer::setLayoutAllocation(Window&, Point const&, Size const&) at /usr/lib64/libreoffice/program/libvcllo.so
 #3 VclBox::setAllocation(Size const&) at /usr/lib64/libreoffice/program/libvcllo.so
 #4 VclContainer::setLayoutPosSize(Window&, Point const&, Size const&) at /usr/lib64/libreoffice/program/libvcllo.so
 #5 VclContainer::setLayoutAllocation(Window&, Point const&, Size const&) at /usr/lib64/libreoffice/program/libvcllo.so
 #6 Dialog::setPosSizeOnContainee(Size, VclContainer&) at /usr/lib64/libreoffice/program/libvcllo.so
 #7 Dialog::setOptimalLayoutSize() at /usr/lib64/libreoffice/program/libvcllo.so
 #8 Dialog::StateChanged(unsigned short) at /usr/lib64/libreoffice/program/libvcllo.so
 #9 Window::ImplCallInitShow() at /usr/lib64/libreoffice/program/libvcllo.so

Comment 1 justin.kusz 2014-11-17 01:50:08 UTC
Created attachment 958102 [details]
File: backtrace

Comment 2 justin.kusz 2014-11-17 01:50:09 UTC
Created attachment 958103 [details]
File: cgroup

Comment 3 justin.kusz 2014-11-17 01:50:10 UTC
Created attachment 958104 [details]
File: core_backtrace

Comment 4 justin.kusz 2014-11-17 01:50:11 UTC
Created attachment 958105 [details]
File: dso_list

Comment 5 justin.kusz 2014-11-17 01:50:11 UTC
Created attachment 958106 [details]
File: environ

Comment 6 justin.kusz 2014-11-17 01:50:12 UTC
Created attachment 958107 [details]
File: exploitable

Comment 7 justin.kusz 2014-11-17 01:50:13 UTC
Created attachment 958108 [details]
File: limits

Comment 8 justin.kusz 2014-11-17 01:50:14 UTC
Created attachment 958109 [details]
File: maps

Comment 9 justin.kusz 2014-11-17 01:50:15 UTC
Created attachment 958110 [details]
File: open_fds

Comment 10 justin.kusz 2014-11-17 01:50:15 UTC
Created attachment 958111 [details]
File: proc_pid_status

Comment 11 justin.kusz 2014-11-17 01:50:16 UTC
Created attachment 958112 [details]
File: var_log_messages

Comment 12 Caolan McNamara 2014-11-17 10:44:42 UTC
hmm, doesn't crash here. I wonder why there's a difference

Comment 13 Caolan McNamara 2014-11-17 10:46:53 UTC
Could you try yum update libreoffice to get the latest F20 updates and try again to see if the problem remains ?

Comment 14 justin.kusz 2014-12-02 22:45:55 UTC
(In reply to Caolan McNamara from comment #13)
> Could you try yum update libreoffice to get the latest F20 updates and try
> again to see if the problem remains ?

'yum update libreoffice' returns:

"Package(s) libreoffice available, but not installed.
No packages marked for update"

Problem persists after a 'yum update'.

Comment 15 Caolan McNamara 2014-12-03 09:20:05 UTC
try yum -y update libreoffice-core && rpm -q libreoffice-core

Comment 16 justin.kusz 2014-12-03 22:47:48 UTC
(In reply to Caolan McNamara from comment #15)
> try yum -y update libreoffice-core && rpm -q libreoffice-core

returns:

"No packages marked for update
libreoffice-core-4.2.7.2-9.fc20.x86_64"

Comment 17 Caolan McNamara 2014-12-04 10:14:30 UTC
ok, you're up to date now (original report was libreoffice-core-4.2.6.3-8.fc20).

So this still crashes for you (I assume?) and for me with libreoffice-core-4.2.7.2-9.fc20.x86_64" it doesn't crash. What's the output of locale, maybe this is language dependent.

Comment 18 justin.kusz 2014-12-05 19:07:00 UTC
(In reply to Caolan McNamara from comment #17)
> ok, you're up to date now (original report was
> libreoffice-core-4.2.6.3-8.fc20).
> 
> So this still crashes for you (I assume?) and for me with
> libreoffice-core-4.2.7.2-9.fc20.x86_64" it doesn't crash. What's the output
> of locale, maybe this is language dependent.

Still crashes. Output of 'locale':

"LANG=en_US.UTF-8
LC_CTYPE=en_US.UTF-8
LC_NUMERIC="en_US.UTF-8"
LC_TIME="en_US.UTF-8"
LC_COLLATE="en_US.UTF-8"
LC_MONETARY="en_US.UTF-8"
LC_MESSAGES="en_US.UTF-8"
LC_PAPER="en_US.UTF-8"
LC_NAME="en_US.UTF-8"
LC_ADDRESS="en_US.UTF-8"
LC_TELEPHONE="en_US.UTF-8"
LC_MEASUREMENT="en_US.UTF-8"
LC_IDENTIFICATION="en_US.UTF-8"
LC_ALL="

Comment 19 Caolan McNamara 2014-12-08 09:36:00 UTC
aha, I can reproduce this if I *don't* have libreoffice-xsltfilter installed.

Comment 20 Fedora Update System 2014-12-09 09:14:39 UTC
libreoffice-4.2.7.2-12.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libreoffice-4.2.7.2-12.fc20

Comment 21 Fedora Update System 2014-12-12 04:33:40 UTC
Package libreoffice-4.2.7.2-12.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreoffice-4.2.7.2-12.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-16766/libreoffice-4.2.7.2-12.fc20
then log in and leave karma (feedback).

Comment 22 Fedora Update System 2014-12-20 08:43:19 UTC
libreoffice-4.2.7.2-12.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.